/*
 *GreyBox was written by Strategic Data Systems and licenced under the open source MS-PL. 
 */
using System;

namespace StrategicDataSystems.Cloud.Monitoring.HostedServices
{
    public class Deployment
    {

        /// <summary>
        /// Initializes a new instance of the Deployment class.
        /// </summary>
        public Deployment(string slot, Uri url, string deploymentLabel, string status, string hostedServiceName)
        {
            Slot = slot;
            Status = status;
            Label = deploymentLabel;
            Url = url;
            HostedServiceName = hostedServiceName;
        }

        public string Slot { get; private set; }
        public string Status { get; private set; }
        public string Label { get; private set; }
        public Uri Url { get; private set; }
        public string HostedServiceName { get; private set; }

        public override string ToString()
        {
            return string.Format("{0}, {1} ({2} on {3})", HostedServiceName, Label, Status, Slot);
        }
       
    }
}
